com.holonplatform.datastore.jdbc.composer.internal

## Enum DefaultSQLStatementConfigurator

- java.lang.Object
- - java.lang.Enum<DefaultSQLStatementConfigurator>
  - - com.holonplatform.datastore.jdbc.composer.internal.DefaultSQLStatementConfigurator

- All Implemented Interfaces:
    SQLStatementConfigurator, Serializable, Comparable<DefaultSQLStatementConfigurator>

      public enum DefaultSQLStatementConfigurator
      extends Enum<DefaultSQLStatementConfigurator>
      implements SQLStatementConfigurator

  Default `SQLStatementConfigurator`.
  Since:
    5.1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INSTANCE` Singleton instance

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PreparedStatement` | `configureStatement(SQLContext context, PreparedStatement jdbcStatement, SQLStatement sqlStatement)` Configure given `PreparedStatement`, setting the statement parameter values, if necessary.
    `static DefaultSQLStatementConfigurator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DefaultSQLStatementConfigurator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.composer.SQLStatementConfigurator

      `getDefault`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final DefaultSQLStatementConfigurator INSTANCE

      Singleton instance

  - ### Method Detail

    - #### values

          public static DefaultSQLStatementConfigurator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DefaultSQLStatementConfigurator c : DefaultSQLStatementConfigurator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DefaultSQLStatementConfigurator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### configureStatement

          public PreparedStatement configureStatement(SQLContext context,
                                                      PreparedStatement jdbcStatement,
                                                      SQLStatement sqlStatement)
                                               throws SQLException

      Description copied from interface: `SQLStatementConfigurator`
      Configure given `PreparedStatement`, setting the statement parameter values, if necessary.
      Specified by:
        `configureStatement` in interface `SQLStatementConfigurator`
      Parameters:
        `context` - SQL context
        `jdbcStatement` - The JDBC statement to configure (not null)
        `sqlStatement` - The SQL statement definition (not null)
      Returns:
        The configured JDBC statement
      Throws:
        `SQLException` - If an error occurred

Copyright © 2019 The Holon Platform. All rights reserved.